# $Revision: 1.7 $, $Date: 2005/08/28 10:54:58 $
Summary:	Generic Programming for Computer Vision
Summary(pl):	Oglne programowanie obrazu komputerowego
Name:		vigra
Version:	1.3.3
Release:	1
License:	The VIGRA Artistic License
Group:		Libraries
Source0:	http://kogs-www.informatik.uni-hamburg.de/~koethe/vigra/%{name}%{version}.tar.gz
# Source0-md5:	518d546d5ebd9388fb0dc968c1e91280
Patch0:		%{name}-ac.patch
URL:		http://kogs-www.informatik.uni-hamburg.de/~koethe/vigra/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	fftw3-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	libstdc++-devel
BuildRequires:	libtiff-devel
BuildRequires:	libtool >= 2:1.5
#BuildRequires:	python
#BuildRequires:	python-devel
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
VIGRA stands for "Vision with Generic Algorithms". It's a novel
computer vision library that puts its main emphasize on customizable
algorithms and data structures. By using template techniques similar
to those in the C++ Standard Template Library, you can easily adapt
any VIGRA component to the needs of your application, without thereby
giving up execution speed.

%description -l pl
VIGRA to skrt od "Vision with Generic Algorithms" (widok z oglnymi
algorytmami). Jest to nowa biblioteka do obrazu komputerowego kadca
gwny nacisk na algorytmy i struktury danych z moliwoci
dostosowania do wasnych potrzeb. Poprzez uycie technik szablonw
podobnych do tych w standardowej bibliotece szablonw C++ (STL) mona
atwo zaadaptowa dowolny komponent VIGRA do potrzeb wasnej aplikacji
bez powicania szybkoci wykonywania.

%package devel
Summary:	Header files for vigra library
Summary(pl):	Pliki nagwkowe biblioteki vigra
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libjpeg-devel
Requires:	libpng-devel
Requires:	libstdc++-devel
Requires:	libtiff-devel

%description devel
Header files needed to compile programs with vigra.

%description devel -l pl
Pliki nagwkowe potrzebne do budowania programw uywajcych
biblioteki vigra.

%package static
Summary:	vigra - static library
Summary(pl):	Statyczna biblioteka vigra
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static version of vigra library.

%description static -l pl
Statyczna wersja biblioteki vigra.

%package doc
Summary:	Development documentation for vigra library
Summary(pl):	Dokumentacja programisty do biblioteki vigra
Group:		Documentation

%description doc
Development documentation for vigra library.

%description doc -l pl
Dokumentacja programisty do biblioteki vigra.

%prep
%setup -q -n %{name}%{version}
%patch0 -p1

tail -n +510 config/acinclude.m4 > acinclude.m4
ln -sf config/configure.in .

%build
cp -f /usr/share/automake/config.* config
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%configure \
	--with-fftw \
	--with-jpeg \
	--with-png \
	--with-tiff \
	--with-zlib

#	--with-python requires src/pythonbindings (missing in sources)

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	prefix=$RPM_BUILD_ROOT%{_prefix} \
	exec-prefix=$RPM_BUILD_ROOT%{_exec_prefix} \
	bindir=$RPM_BUILD_ROOT%{_bindir} \
	includedir=$RPM_BUILD_ROOT%{_includedir} \
	libdir=$RPM_BUILD_ROOT%{_libdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc LICENSE README
%attr(755,root,root) %{_libdir}/lib*.so.*.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/vigra-config
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/vigra

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%files doc
%defattr(644,root,root,755)
%doc @docdir@/[!L]*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: vigra.spec,v $
Revision 1.7  2005/08/28 10:54:58  qboosh
- updated to 1.3.3

Revision 1.6  2005/04/02 22:30:48  qboosh
- updated to 1.3.2, updated ac patch
- BR: fftw3-devel instead of fftw-devel (fftw3 is preferred in configure)

Revision 1.5  2004/05/13 17:43:07  ankry
- spaces -> tabs, other cosmetics

Revision 1.4  2004/03/15 23:39:26  qboosh
- BR libtool with C++ support

Revision 1.3  2004/03/15 23:35:59  qboosh
- added ac patch, separated -doc, simplified build, fixed files; release 1

Revision 1.2  2004/03/11 19:11:24  qboosh
- pl; needs files fixes

Revision 1.1  2004/03/10 21:48:16  bszx
- initial revision based on Bruno Postle's <bruno@postle.net> spec
